<?php 
use Elementor\Icons_Manager;

//Custom Product Type.
    global $product; 

    ?>
    <div class="woolist-product-3">
        <div class="woolist-image-wrapper-3">
            <!--Start sale label -->
            <?php
            //if show sale label enabled.
            if ($settings['woolist_show_label'] == 'yes') { ?>
                <div class="woolist-ribbon-3">
                    <?php
                    if ($product->is_on_sale()){ ?>
                    <div class="woolist-label-3"><span><?php echo esc_attr($settings['woolist_sale_label']); ?></span></div>
                    <?php } ?>
                </div>
            <?php } ?>
            <!--End sale label -->        

            <!-- Start Product image -->
            <div class="woolist-product-img-3">
            <?php
                if ($settings['woolist_show_image'] == 'yes') {
                    $product_image = $product->get_image();
                    if (has_post_thumbnail()) {
                        $thumbnail_id = get_post_thumbnail_id();
                        $image_url = wp_get_attachment_image_url($thumbnail_id, 'full'); // Get full size image URL
                        ?>
                        <a href="<?php the_permalink(); ?>" class="woolist-img-2" title="<?php the_title_attribute(); ?>">
                            <img src="<?php echo esc_url($image_url); ?>" alt="<?php the_title_attribute(); ?>">
                        </a>
                        <?php 
                    }
                } 
            ?>
            </div> 
            <!-- End Product image --> 
        </div>
        <div class="woolist-content-wrapper-3">
        <!-- woolist content -->
        <div class="woolist-content-3">  
            <!-- Start Show Name -->
            <div class="woolist-show-name-3">
                <?php      
                    if ($settings['woolist_show_name'] == 'yes') {
                        $product_name = $product->get_name(); ?>
                            <h2 class="woolist-title-3"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                        <?php
                    } 
                ?>
            </div>
            <!-- End Show Name -->
            <!-- Start Rating & pricing  -->
            <div class="woolist-rate-price-wrapper-2">
                <!--  Start Show customer Price -->
                <div class="woolist-price-wrapper-2"> 
                    <?php
                    //If Product is simple and show price enabled.
                    if ($product->is_type('simple') && $product->is_on_sale()) {
                        if ($product->get_sale_price()) {
                            //If Product is simple and show regular price enabled.
                            if($settings['woolist_show_line_through'] == 'yes') {
                                $line_through = 'woolist-line-price';
                            } else {
                                $line_through = '';
                            }
                            if ($product->get_sale_price() && $settings['woolist_show_regular_price'] == 'yes') {?>
                                <div class="woolist-regular-price <?php echo esc_attr($line_through); ?>"><span><?php echo esc_html(get_woocommerce_currency_symbol());?></span><?php echo esc_attr($product->get_regular_price());?></div>
                                <?php
                            }
                            //If Product is simple and show sale price enabled.
                            if ($product->get_sale_price() && $settings['woolist_show_sale_price'] == 'yes') {?>
                                <b class="woolist-sale-price"><span><?php echo esc_html(get_woocommerce_currency_symbol());?></span><?php echo esc_attr($product->get_sale_price()); ?></b>
                                <?php
                            }
                        }
                        //If Product is simple and has only regular price enabled.
                        else { ?>
                            <span><?php echo esc_html(get_woocommerce_currency_symbol()); ?></span><?php echo esc_attr($product->get_regular_price()); ?>
                    <?php }
                    } else { 
                    //If Product is with Variation and show price enabled.
                    if ($settings['woolist_show_regular_price'] == 'yes') {?>
                        <div class="woolist-regular-price">
                            <?php echo wp_kses_post($product->get_price_html()); ?>
                        </div>
                    <?php } 
                    } ?>
                </div>
                <!--  End Show customer Price -->

                <!--  Start Show customer rating -->
                <div class="woolist-customer-rate-2">
                    <div class="woolist-rating-1">
                    <?php
                        if ($settings['woolist_show_customer_rating'] == 'yes') { 
                            $product_rate = $product->get_average_rating();
                        ?>
                            <?php
                                for($i=1; $i<= $product_rate ; $i++) { ?>
                                    <i class='fa fa-star star-fill'></i>
                                    <?php 
                                } ?>
                                <?php
                                for($i=5; $i > $product_rate ; $i--) { ?>
                                    <i class='fa fa-star-o star'></i> 
                                    <?php
                                } 
                            } 
                        ?>
                    </div>
                </div>
                <!--  End Show customer rating -->
            </div>
                <!-- End Rating & pricing  -->
                <!--Start Show Description -->
            <div class="woolist-show-description">
                <p>
                    <?php
                    // If Show Description full.
                    if ($settings['woolist_show_description'] == 'full') {
                        $content = $product->get_description();
                    }
                    // If Show Description short.
                    elseif ($settings['woolist_show_description'] == 'short') {
                        $content = $product->get_short_description();
                    } else {
                        $content = '';
                    }
                    // Trim the content using wp_trim_words
                    $content = wp_trim_words($content, $settings['woolist_description_length']); // 20 here represents the maximum number of words you want to display

                    echo esc_attr($content);
                    ?>
                </p>
            </div>
            <!-- End Show Description -->
            
            <!-- Button -->
                <div class="woolist-button-3">
            <?php
            // If Show Add-to-cart button enabled.
            if ($settings['woolist_show_cart_button'] == 'yes') { 
                   // Text for Add-to-cart in Product variation.
                        if ($settings['woolist_show_custom_button'] == 'yes') {
                            if ($product->is_type('simple')) {
                                $add_to_cart = $settings['woolist_simple_button_text'];
                            } elseif ($product->is_type('variable')) {
                                $add_to_cart = $settings['woolist_variable_button_text'];
                            } elseif ($product->is_type('grouped')) {
                                $add_to_cart = $settings['woolist_grouped_button_text'];
                            } elseif ($product->is_type('external')) {
                                $add_to_cart = $settings['woolist_external_button_text'];
                            }
                        } else {
                            $add_to_cart = $product->add_to_cart_text();
                        }   
                        ?>
                        <a href="<?php echo esc_url($product->add_to_cart_url()); ?>" 
                            data-product_id="<?php echo esc_attr($product->get_id()); ?>" 
                            data-product_sku="<?php echo esc_attr($product->get_sku()); ?>" 
                            class="woolist-button-text <?php echo $product->is_purchasable() ? 'add_to_cart_button' : ''; ?>" 
                            rel="nofollow">
                            <?php echo esc_html($add_to_cart); ?>
                        </a>
                        <?php 
            } 
            ?>
            </div>

                
            </div> 
        </div>
    </div>

