<?php 
use Elementor\Icons_Manager;

?>

<!-- Start Woolisting Category Product for Elementor Style 1 -->
<div class="woolist-category">
    <div class="woolist-category-img">
        <!-- Category Image -->
        <?php
        // Check if Show Image is enabled.
        if ($settings['woolisting_show_image'] == 'yes') {
            $thumbnail_id = get_term_meta($category->term_id, 'thumbnail_id', true);
            $image_url = wp_get_attachment_url($thumbnail_id);
            $html_markup = '';
            if ($image_url) {
                $html_markup = '<div class="product-category">';
                $html_markup .= '<img src="' . esc_url($image_url) . '" alt="' . esc_attr($category->name) . '">';
                $html_markup .= '</div>';
            }
            echo wp_kses_post($html_markup);
        } ?>
        <!-- Category Content -->
        <div class="woolist-category-content">
            <?php
            // If Show Category Title enabled.
            if ($settings['woolisting_show_title'] == 'yes') { ?>
                <div class="woolist-category-title">
                    <a href="<?php echo esc_url(get_category_link($category->term_id)); ?>"><h2><?php echo esc_html($category->name); ?></h2></a>
                </div>
                <?php
            }
            // If Show Category Description enabled
            if ($settings['woolisting_show_description'] == 'yes') { ?>
                <div class="woolist-category-description">
                    <?php $category_description = $category->description;
                    echo wp_kses_post(wp_trim_words($category_description, $settings['woolisting_description_length'])); ?>
                </div>
            <?php }
            // Add Text for Post Counting.
            $i = $category->category_count;
            if ($i <= 1) {
                $woolisting_text = ($settings['woolisting_post_text']);
            }
            else {
                $woolisting_text = ($settings['woolisting_more_post_text']);
            }
            // If Show Post Count enabled.
            if ($settings['woolisting_show_post_count'] == 'yes') { ?>
            <p class="woolist-post-count"><a href="<?php echo esc_attr(get_category_link($category->term_id)); ?>" rel="bookmark"><?php echo esc_attr( $category->category_count . ' '. $woolisting_text ); ?></a></p>
            <?php } ?>
        </div>
    </div>
</div>

<!-- End Woolisting Category Product for Elementor Style 1 -->
