<?php
/**
 * Return product category array.
 * 
 * @access public
 * @since  1.0
 */

if (!function_exists('woolist_product_categories')) {
    function woolist_product_categories() {
        $terms = get_terms(
                array(
                    'taxonomy' => 'product_cat',
                    'hide_empty' => true,
                )
        );
        $options = array();
        if (!empty($terms) && !is_wp_error($terms)) {
            foreach ($terms as $term) {
                $options[$term->term_id] = $term->name;
            }
        }
        return $options;
    }
}

/**
 * Return product tags array.
 * 
 * @access public
 * @since  1.0
 */
if (!function_exists('woolist_product_tags')) {
    function woolist_product_tags() {
        $terms = get_terms(
                array(
                    'taxonomy' => 'product_tag',
                    'hide_empty' => true,
                )
        );
        $options = array();
        if (!empty($terms) && !is_wp_error($terms)){
            foreach ($terms as $term) {
                $options[$term->term_id] = $term->name;
            }
        }
        return $options;
    }
}




